
#ifndef _F_WORD_H
#define _F_WORD_H

#include "engine/text.h"

namespace fingers
{

	class fWord
	{
	public:
		bool active;
		char word[32];
		char buffer[32];
		int length;
		int current;
		int	backcount;

		float x;
		float y;

		fWord();

		void finish();
		int  getErrors();
		int  getLenght();
		int  getScore();
		int  getStrLenght();
		void input(int key);
		void render(text_c& text, bool current = false);
		void update(float amount);
		void spawn(const char* word);
	};

}

#endif // _F_WORD_H